<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelCheckAvail StructType
 * @subpackage Structs
 */
class HotelCheckAvail extends AbstractStructBase
{
    /**
     * The HotelCheckAvailRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelCheckAvail
     */
    public $HotelCheckAvailRQ;
    /**
     * Constructor method for HotelCheckAvail
     * @uses HotelCheckAvail::setHotelCheckAvailRQ()
     * @param \StructType\JP_HotelCheckAvail $hotelCheckAvailRQ
     */
    public function __construct(\StructType\JP_HotelCheckAvail $hotelCheckAvailRQ = null)
    {
        $this
            ->setHotelCheckAvailRQ($hotelCheckAvailRQ);
    }
    /**
     * Get HotelCheckAvailRQ value
     * @return \StructType\JP_HotelCheckAvail|null
     */
    public function getHotelCheckAvailRQ()
    {
        return $this->HotelCheckAvailRQ;
    }
    /**
     * Set HotelCheckAvailRQ value
     * @param \StructType\JP_HotelCheckAvail $hotelCheckAvailRQ
     * @return \StructType\HotelCheckAvail
     */
    public function setHotelCheckAvailRQ(\StructType\JP_HotelCheckAvail $hotelCheckAvailRQ = null)
    {
        $this->HotelCheckAvailRQ = $hotelCheckAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelCheckAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
